
//==============================================================================
// #_20.10.2020
//==============================================================================
#define PINZED 7 // белый светодиод сидит на PORTA7

#include <Adafruit_GFX.h>
#include "UTFTGLUE.h"

//UTFTGLUE myGLCD(0x0154,A2,A1,A3,A4,A0);
UTFTGLUE myGLCD(0x0154,49,50,51,52,48);

//  MCUFRIEND_kbv(int CS=A3, int RS=A2, int WR=A1, int RD=A0, int RST=A4);

unsigned char sec = 0;
//==============================================================================
void setup()
{  
  pinMode(PINZED, OUTPUT);
  myGLCD.InitLCD();
  myGLCD.clrScr();
 
  myGLCD.setFont(SmallFont);

  myGLCD.setColor(0, 0,128); 
  myGLCD.fillRect(0, 20, 199, 319); // заполнение экрана

  myGLCD.setColor(255, 255, 32);
  myGLCD.drawRect(0, 0, 399, 239);

  myGLCD.setColor(255, 0, 0); myGLCD.setBackColor(0, 0, 0);
  myGLCD.drawLine(0, 0, 100, 200);
  myGLCD.drawLine(0, 0, 200, 200);
  myGLCD.drawLine(0, 0, 300, 200);
  myGLCD.drawLine(1, 100, 318, 119);

  int x, x2;
  int y, y2;

  for (int i=0; i<100; i++)
  {
    myGLCD.setColor(random(255), random(255), random(255));
    x=2+random(396);
    y=16+random(209);
    x2=2+random(396);
    y2=16+random(209);
    myGLCD.drawLine(x, y, x2, y2);
  }

  for (int i=0; i<10000; i++)
  {
    myGLCD.setColor(random(255), random(255), random(255));
    myGLCD.drawPixel(2+random(396), 16+random(209));
  }
  myGLCD.setTextSize(4);  
  myGLCD.setTextColor(0xFFE0, 0); //YELLOW


}
//==============================================================================
void loop()
{
  delay(500);
  digitalWrite(PINZED, HIGH);
  delay(500);
  digitalWrite(PINZED, LOW);
  sec++;
  if (sec > 99) sec = 0;
  
  myGLCD.setCursor(24,34);
  String str = "S=";
  if (sec < 10) str = str + "0" + String(sec);
  else          str = str + String(sec);
  
  myGLCD.println(str);
}
//==============================================================================
